Bug 1039 - Неправильная работа gpm, отключение и зависание мыши, конфликт с Иксами ...
: Неправильная работа gpm, отключение и зависание мыши, конфликт с Иксами ...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gpm)
: unstable
: all Linux
: P4 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-07-01 00:22 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-07-01 00:22:31
(Konstantin Lepikhov &lt;<a href="mailto:lakostis@pisem.net&gt"
target="_new">lakostis@pisem.net&gt</a>;)
  -пытается определить тип мыши при каждом обращении к консоли - я 
что, 
ее каждый раз передергиваю?? Достает сильнее всего. 
  -определяет тип с вероятностью 50%-30% вот некоторые выдержки из 
messages: 
  Jun 29 20:58:20 lks gpm[5896]: imps2: Auto-detected unknown 
mouse type
  250, assuming standard PS/2
  Jun 27 00:07:52 lks gpm[1863]: Failed gpm connect attempt by uid 
500 
for /dev/tty4 
  Jun 29 20:37:06 lks gpm[1781]: imps2: PS/2 mouse failed (3 
button) 
init 
Помогает от такого только su -; service gpm restart; иногда мыша 
не 
находится и после этой операции :(( Ессно, после этого мс не может 
/dev/gpmctl прочитать, т.к прав у него не хватает. Попытка 
поменять тип 
мыши ни к чему не приводит, как все было, так и осталось. С горя 
уже 
начал mdk\\\\\\\'шный spec править, чтоб себе собрать. Очень грустно 
короче. 
(\\\\
---

---
- мыша Genius NetMouse Pro, работающая по протоколу imps/2
- Genius, NetScroll+ (Made in China) imps/2
- Genius, NetScroll+ imps/2
- A4Tech nwa imps/2
- DEXXA OPTICAL (china) как
MOUSETYPE=imps2
XMOUSETYPE=IMPS/2
FULLNAME=\&quot;PS/2|Generic PS2 Wheel Mouse\&quot;
XEMU3=no
WHEEL=yes
device=psaux
- Noname PS/2 с колесом.
- Еще хуже с COM мышами...
При установке Мастера сразу после загрузки в иксах мышь не
работает. В зависимости от погоды на Марсе кудзу то
находит, то теряет мышь, пока не отключил gpm.
целый класс таких глюков, так что - поотключал gpm.
------- Comment #1 From 2002-07-01 00:44:01 -------
Опишите, пожалуйста, железо:
-- системная плата;
-- видеокарта
------- Comment #2 From 2002-07-01 00:44:01 -------
Опишите, пожалуйста, железо:
-- системная плата;
-- видеокарта
------- Comment #3 From 2002-07-01 00:53:19 -------
-- EPoX VIA-KT133A
-- Nvidia GF2MX
(мышь Genius NetScroll+)
-- Asus P3V4X
-- Nvidia GF2MX
(мышь A4Tech)
-- Asus P3V4X
-- Nvidia TNT2
(мышь A4Tech)
Дефекты сходные.
------- Comment #4 From 2002-07-01 00:53:19 -------
-- EPoX VIA-KT133A
-- Nvidia GF2MX
(мышь Genius NetScroll+)
-- Asus P3V4X
-- Nvidia GF2MX
(мышь A4Tech)
-- Asus P3V4X
-- Nvidia TNT2
(мышь A4Tech)
Дефекты сходные.
------- Comment #5 From 2002-07-01 13:46:23 -------
То же самое (\&quot;случайные\&quot; падения с примерно теми же логами) при
использовании ALM2.0, a4tech imps/2, kt133, nvidia.  Мелочь, но досаждает ;-(
------- Comment #6 From 2002-07-01 13:46:23 -------
То же самое (\&quot;случайные\&quot; падения с примерно теми же логами) при
использовании ALM2.0, a4tech imps/2, kt133, nvidia.  Мелочь, но досаждает ;-(
------- Comment #7 From 2002-07-01 15:33:38 -------
Changed maintainer.
------- Comment #8 From 2002-07-01 15:33:38 -------
Changed maintainer.
------- Comment #9 From 2002-07-09 17:25:50 -------
Possibly fixed in 1.20.1-alt0.1rc1
------- Comment #10 From 2002-07-09 17:25:50 -------
Possibly fixed in 1.20.1-alt0.1rc1